"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const runtime = require("../../../utils/vue/props/runtime.js");
const shared_esmBundler = require("../../../../../@vue/shared/dist/shared.esm-bundler.js");
const upload = require("./upload.js");
const uploadContentProps = runtime.buildProps({
  ...upload.uploadBaseProps,
  beforeUpload: {
    type: runtime.definePropType(Function),
    default: shared_esmBundler.NOOP
  },
  onRemove: {
    type: runtime.definePropType(Function),
    default: shared_esmBundler.NOOP
  },
  onStart: {
    type: runtime.definePropType(Function),
    default: shared_esmBundler.NOOP
  },
  onSuccess: {
    type: runtime.definePropType(Function),
    default: shared_esmBundler.NOOP
  },
  onProgress: {
    type: runtime.definePropType(Function),
    default: shared_esmBundler.NOOP
  },
  onError: {
    type: runtime.definePropType(Function),
    default: shared_esmBundler.NOOP
  },
  onExceed: {
    type: runtime.definePropType(Function),
    default: shared_esmBundler.NOOP
  }
});
exports.uploadContentProps = uploadContentProps;
